Problem With Maven

Showing 1-5 of 5 messages
Problem With Maven Mahdi Negahi 3/8/12 1:32 AM
Dear All friends

I'm really newbie in Eclipse and Neo4j, I'm so sorry if my question is
so easy. I want to create a neo4j project via Eclipse and Maven. After
installation of Eclipse  I go to
Help -> Install New Software
choose Maven Integrate for Eclipse

after restart eclipse I go to

File -> New -> Other Project and choose Maven Project , in "Select an
ArcheType" I click to " Add ArcheType" and fill them by following
values

ArcheType Group Id : org.neo4j
Archetype Artifact Id : neo4j-community
ArcheType Version : 1.6
Repository URL : http://mvnrepository.com/artifact/org.neo4j/neo4j-community/1.6

after click on "OK" button, It added to the list and I selected it and
clicked on "Next" button. I next form I fill Artifact Id by
MyNeo4jProject and click on Finish button, when I clicked on finished
button I see the following error:

Unable to create project from archetype [org.neo4j:neo4j-community:1.6
-> http://mvnrepository.com/artifact/org.neo4j/neo4j-community/1.6]
The defined artifact is not an archetype.

I really do not know what is my problem. please advice me.
Re: [Neo4j] Problem With Maven Peter Neubauer 3/8/12 1:36 AM
Hi there,
I think you should not create a new archifact type, but a new maven
project, pointing out the Neo4j pom as one dependency?

Cheers,

/peter neubauer

G:  neubauer.peter
S:  peter.neubauer
P:  +46 704 106975
L:   http://www.linkedin.com/in/neubauer
T:   @peterneubauer

Neo4j 1.6 released                 - dzone.com/6S4K
The Neo4j Heroku Challenge   - http://neo4j-challenge.herokuapp.com/

Re: Problem With Maven Mahdi Negahi 3/8/12 1:46 AM
Dear Peter

Thank you for ur reply. I will really appreciate if explain what
should I do in detail.

Re: [Neo4j] Re: Problem With Maven Peter Neubauer 3/8/12 2:40 AM
Here you go Mahdi,
a blog just for you :)

http://blog.neo4j.org/2012/03/how-to-set-up-maven-project-with-neo4j.html

HTH

Cheers,

/peter neubauer

G:  neubauer.peter
S:  peter.neubauer
P:  +46 704 106975
L:   http://www.linkedin.com/in/neubauer
T:   @peterneubauer

Neo4j 1.6 released                 - dzone.com/6S4K
The Neo4j Heroku Challenge   - http://neo4j-challenge.herokuapp.com/

Re: [Neo4j] Re: Problem With Maven Anders Nawroth 3/8/12 3:44 AM
I'd suggest setting the JDK version to 1.6 as well, using something like
this in the build section of the pom.xml:

<plugin>
     <groupId>org.apache.maven.plugins</groupId>
     <artifactId>maven-compiler-plugin</artifactId>
     <configuration>
         <source>1.6</source>
         <target>1.6</target>
     </configuration>
</plugin>

Neo4j requires Java 6 == JDK/JRE 1.6.


/anders

2012-03-08 11:40, Peter Neubauer skrev: